<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.admin.mapper.EnergyWarningThresholdMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.admin.entity.EnergyWarningThreshold">
        <id column="id" property="id" />
        <result column="max_water" property="maxWater" />
        <result column="min_water" property="minWater" />
        <result column="max_electricity" property="maxElectricity" />
        <result column="min_electricity" property="minElectricity" />
        <result column="max_feed" property="maxFeed" />
        <result column="min_feed" property="minFeed" />
        <result column="max_gas" property="maxGas" />
        <result column="min_gas" property="minGas" />
        <result column="user_ids" property="userIds" />
        <result column="farm_id" property="farmId" />
        <result column="othre1" property="other1" />
        <result column="othre2" property="other2" />
        <result column="othre3" property="other3" />
    </resultMap>

</mapper>
